Bug 141766 - Gnome applications use improper size of NFS mounted volumes
Gnome applications use improper size of NFS mounted volumes
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libgnome (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
: 142641 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-03 12:17 EST by Burkhard
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 11:10:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 269895 None None None Never

  None (edit)
Description Burkhard 2004-12-03 12:17:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041110 Firefox/1.0

Description of problem:
I have several NFS volumes mounted from a Solaris server. The Gnome
applications (tested with nautilus, system monitor and evolution) show
disk size, usage and free values that are about 1/64 of the real values.

This would be a minor problem, if evolution would not refuse to start
with the following message:
-----------
Insufficient disk space for upgrade.

Upgrading your data and settings will require upto 322208 KB of disk
space, but you only have 120558 KB available.

You will need to make more space available in your home directory
before you can continue.
-------------

Other utilities, like df, report the real values:

$ df -h | grep saustall
saustall:/export/home  15G  7,1G  7,4G  49% /net/home
saustall:/music        15G  6,5G  8,4G  44% /net/music
saustall:/video        70G   34G   36G  49% /net/video
saustall:/iso          25G   19G  6,5G  75% /net/iso
saustall:/export/tmp  9,7G  5,1G  4,6G  54% /net/tmp

$ grep nfs /etc/fstab
saustall:/export/home   /net/home               nfs    
rw,bg,hard,intr         0 0
saustall:/music         /net/music              nfs    
rw,bg,hard,intr         0 0
saustall:/video         /net/video              nfs    
rw,bg,hard,intr         0 0
saustall:/iso           /net/iso                nfs    
rw,bg,hard,intr         0 0
saustall:/export/tmp    /net/tmp                nfs    
rw,bg,hard,intr         0 0


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mount nfs volume
2. compare the numbers reported by df and Gnome System Monitor
3.
    

Actual Results:  Gnome applications report wrong size numbers -
evolution refuses to start.

Expected Results:  Gnome should get the real size of nfs volumes, as
df does.

Additional info:
Comment 1 Burkhard 2004-12-06 22:16:22 EST
The i386 version of FC3 suffers from this error as well.
But FC 2 definitely did not. Did not change anything on the server either.
Changed "Platform" to ALL.

Component should be libgnome instead of gnome-libs - sorry.
BTW - why is libgnome-2.8.0-2 installed twice on my system?
Comment 2 Burkhard 2004-12-07 14:56:08 EST
Weird, when I remount with nfsvers=2, the failure drops from 1/64 to
1/8. At least I could convert the evolution folder this way.
Comment 3 Alexander Larsson 2005-01-11 10:01:24 EST
*** Bug 142641 has been marked as a duplicate of this bug. ***
Comment 4 Burkhard 2005-01-11 21:32:52 EST
Just guessing...
Maybe this issue is related to different block sizes?

Harddisk: 512 Byte
NFS vers=2: 4 kByte = 8 times HD size
NFS vers>2: 32 kByte = 64 times HD size

Probably gnome ignores nfs block sizes when converting block counts to
disk size.
Comment 5 Burkhard 2005-01-23 02:17:31 EST
This problem is already addressed by bug #140744 (although it does not
only affect evolution) and upstream bug filed to ximian:
http://bugzilla.ximian.com/show_bug.cgi?id=69895
Comment 6 Matthew Miller 2006-07-10 16:27:12 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 John Thacker 2006-10-31 11:10:52 EST
Upstream bug suggests that this got fixed by FC4.

Note You need to log in before you can comment on or make changes to this bug.